Bug 666572 - Review Request: zyGrib - Visualization of meteo data from files in GRIB Format
Summary: Review Request: zyGrib - Visualization of meteo data from files in GRIB Format
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Linux
low
medium
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-31 23:21 UTC by Pavel Zhukov
Modified: 2011-09-18 18:22 UTC (History)
5 users (show)

Fixed In Version: zyGrib-3.9.9-3.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-11 20:19:14 UTC
lemenkov: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Pavel Zhukov 2010-12-31 23:21:37 UTC
That this is my first package and I need a sponsor.

Srpm: http://repo.pclinuxos.su/fedora/rpm/zyGrib-3.9.8-1.fc14.src.rpm
Spec: http://repo.pclinuxos.su/fedora/rpm/zyGrib.spec

Description: ZyGrib is a GRIB file viewer. It enables :
   Visualisation of meteo data from files in GRIB Format
   Automatic GRIB data download
   Automatic Download from IAC (fleet-code) Data
   Roh or compressed GRIB Data (gzip *.gz; bzip2 *.bz2) can be used

Project home: http://www.zygrib.org/
mock build: ok
koji build: ok https://koji.fedoraproject.org/koji/taskinfo?taskID=2695155

Comment 1 Fabian Affolter 2011-01-04 14:13:53 UTC
Just some quick comments:

- You are mixing %{buildroot} and $RPM_BUILD_ROOT
- From my point of view the maps should go to a subpackages because they are huge.
- The maps are distributed under GPL with not version indicated.
- README files should be mentioned in %doc

Comment 2 Pavel Zhukov 2011-01-05 18:07:02 UTC
1) Fixed
2) Ok. I cannot upload zyGrib-maps rpm today, because there is very slow Internet speed. I'll upload it in Monday.
3) Fixed
4) Fixed. There isn't README file in sources. I put it separately.

Comment 4 Fabian Affolter 2011-01-09 11:14:13 UTC
Please check https://fedoraproject.org/wiki/Packaging:Guidelines#Desktop_files for the installation of the desktop file.

Comment 6 Pavel Zhukov 2011-01-12 08:11:48 UTC
zyGryb-3.9.9-2
- Replace patch to sed
- Remove %clean and BuildRoot

mock: ok 
koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=2716450

rpmlint output:
zyGrib.src: W: spelling-error Summary(en_US) meteo -> metro, mete, meteor
zyGrib.src: W: spelling-error %description -l en_US meteo -> metro, mete, meteor
zyGrib.src: W: spelling-error %description -l en_US gzip -> zip, grip, g zip
zyGrib.src: W: spelling-error %description -l en_US gz -> g, z, gaz
zyGrib.src: W: invalid-url Source0: zyGrib-3.9.9.tgz
1 packages and 0 specfiles checked; 0 errors, 5 warnings.

Comment 7 Peter Lemenkov 2011-01-12 12:23:18 UTC
Unblocking FE-NEEDSPONSOR - I just sponsored Pavel.

Comment 8 Peter Lemenkov 2011-01-12 12:24:07 UTC
I'll review it

Comment 10 Peter Lemenkov 2011-03-09 10:45:25 UTC
Koji scratchbuild for F-15:

http://koji.fedoraproject.org/koji/taskinfo?taskID=2896842

Needs love:

* Bundled libraries - bzip2, zlib, proj. I'm pretty sure that the main package is linked against system-wide copies, but I prefer bundled ones to be removed at the %prep stage.

* Please, replace macros for sed, cp and rm invocation by real names of these utilities.

* The package contains bundled font (liberation). I suspect that appropriate "Requires" should be added. Could you, please, investigate this?

* The License tag should be GPLv3+.

Comment 12 Peter Lemenkov 2011-03-11 14:00:49 UTC
Koji scratch build for F15:

http://koji.fedoraproject.org/koji/taskinfo?taskID=2904218

Comment 13 Peter Lemenkov 2011-03-11 14:18:13 UTC
REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

- rpmlint is not completely silent:

work ~/Desktop: rpmlint  zyGrib-*
zyGrib.src: W: spelling-error Summary(en_US) meteo -> metro, mete, meteor
zyGrib.src: W: spelling-error %description -l en_US meteo -> metro, mete, meteor
zyGrib.src: W: spelling-error %description -l en_US gzip -> zip, grip, g zip
zyGrib.src: W: spelling-error %description -l en_US gz -> g, z, gaz

^^^ this should be omitted

zyGrib.src: W: invalid-url Source0: zyGrib-3.9.9.tgz

^^^ This is also OK (no direct link)

zyGrib.x86_64: W: spelling-error Summary(en_US) meteo -> metro, mete, meteor
zyGrib.x86_64: W: spelling-error %description -l en_US meteo -> metro, mete, meteor
zyGrib.x86_64: W: spelling-error %description -l en_US gzip -> zip, grip, g zip
zyGrib.x86_64: W: spelling-error %description -l en_US gz -> g, z, gaz

^^^ This should be omitted

zyGrib.x86_64: W: incoherent-version-in-changelog -3.9.9-3 ['3.9.9-3.fc15', '3.9.9-3']

^^^ This should be fixed (caused by mising space between dash and version in %changelog)

zyGrib.x86_64: W: no-manual-page-for-binary zyGrib

^^ That's OK too

3 packages and 0 specfiles checked; 0 errors, 11 warnings.
work ~/Desktop: 

+ The package is named according to the  Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.
+ The License field in the package spec file matches the actual license (GPLv3 or later).
+ The file, containing the text of the license(s) for the package, is included in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package, match the upstream source, as provided in the spec URL.

work ~/Desktop: 
work ~/Desktop: sha256sum zyGrib-3.9.9.tgz*
a2016109e09307e73eeabbbe78ac6814043778a3cd67234bf789f57273a48399  zyGrib-3.9.9.tgz
a2016109e09307e73eeabbbe78ac6814043778a3cd67234bf789f57273a48399  zyGrib-3.9.9.tgz.orig
work ~/Desktop: 

+ The package successfully compiles and builds into binary rpms on at least one primary architecture. See koji link above.
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
0 No shared library files in some of the dynamic linker's default paths.
+ The package does NOT bundle copies of system libraries.
0 The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
0 The package DOESN'T have a %clean section, so it won't build cleanly on systems with old rpm (EL-4 and EL-5, not sure about EL-6). Beware.
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
0 No header files.
0 No static libraries.
0 No pkgconfig(.pc) files.
0 The package doesn't contain library files without a suffix (e.g. libfoo.so).
0 No devel sub-package.
+ The package does NOT contain any .la libtool archives.
+ The package includes a %{name}.desktop file, and this file is properly installed with desktop-file-install in the %install section.
+ The package does not own files or directories already owned by other packages.
+ At the beginning of %install, the package runs rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ All filenames in rpm packages are valid UTF-8.

Ok. I can;t find any other issues, so this package is

APPROVED.

Comment 14 Pavel Zhukov 2011-03-11 16:56:54 UTC
New Package CVS Request
=======================
Package Name: zyGrib
Short Description: Visualization of meteo data from files in GRIB Format
Owners: landgraf
Branches: F-13 F-14 F-15
InitialCC: 




-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 15 Jason Tibbitts 2011-03-11 19:29:59 UTC
Git done (by process-git-requests).

Comment 16 Fedora Update System 2011-03-11 20:11:10 UTC
zyGrib-3.9.9-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/zyGrib-3.9.9-3.fc14

Comment 17 Fedora Update System 2011-03-11 20:11:31 UTC
zyGrib-3.9.9-3.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/zyGrib-3.9.9-3.fc13

Comment 18 Fedora Update System 2011-03-11 20:11:50 UTC
zyGrib-3.9.9-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/zyGrib-3.9.9-3.fc15

Comment 19 Pavel Zhukov 2011-03-11 20:19:14 UTC

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 20 Fedora Update System 2011-03-16 04:09:54 UTC
zyGrib-3.9.9-3.fc15 has been pushed to the Fedora 15 stable repository.

Comment 21 Fedora Update System 2011-03-20 21:26:24 UTC
zyGrib-3.9.9-3.fc14 has been pushed to the Fedora 14 stable repository.

Comment 22 Fedora Update System 2011-03-20 21:26:54 UTC
zyGrib-3.9.9-3.fc13 has been pushed to the Fedora 13 stable repository.


Note You need to log in before you can comment on or make changes to this bug.